Bug 1276971 - External monitor not detected on resume if machine suspended/undocked/resumed/suspended/re-docked/resumed.
External monitor not detected on resume if machine suspended/undocked/resumed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 1288791 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 19:12 EST by Dimitris
Modified: 2016-12-20 10:17 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:17:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xrandr -q --verbose output (9.97 KB, text/plain)
2015-11-01 19:12 EST, Dimitris
no flags Details
Full journal still showing issue with latest 4.3.4-300.fc23.x86_64 kernel (2.02 MB, text/x-vhdl)
2016-02-02 04:52 EST, Marcel Ziswiler
no flags Details

  None (edit)
Description Dimitris 2015-11-01 19:12:28 EST
Created attachment 1088420 [details]
xrandr -q --verbose output

Description of problem:

Thinkpad X250 with UltraDock: Monitor connected over DisplayPort is not detected when resuming from sleep.  Has to be unplugged/plugged back in, then layout has to be entered again.

Version-Release number of selected component (if applicable):

2.99.917-16.20150729.fc23

How reproducible:

Every time

Steps to Reproduce:
1.  Machine is docked and running, layout has been configured as intended (see attached xrandr output).
2.  Enter suspend.
3.  Undock.
4.  Resume, do some work.
5.  Suspend.
6.  Dock.
7.  Open lid to resume.

Actual results:

Machine resumes but external monitor remains off.  To get the monitor to work properly I have to unplug it from the UltraDock and plug it back in.  Then I have to also adjust the layout since the monitor is to the left of the laptop - opposite of the default layout.

Expected results:

External monitor should be turned on and to the last configured layout.

Additional info:
Comment 1 Marcel Ziswiler 2015-11-11 03:24:14 EST
I also still get this both at home with a display port screen connected to an Ultra Dock with a T440s as well as at work with a HDMI screen connected to the same. Only work around is to first open the notebook screen, log in and re-enumerate all attached screens. Unfortunately the layout and virtual desktop contents gets completely trashed. Real annoying!

I am fighting this now since more than one year. F20, F21, F22, F23 and still counting.

Are we really unable to get this working?
Comment 2 Dimitris 2015-11-22 14:36:06 EST
Update with version 2.99.917-18.20151109.fc23:

That makes this worse, in that disconnecting/reconnecting the external monitor has no effect:  It's missing from "xrandr -q" output.

BTW, the GDM VT (running on wayland) does detect the new monitor.
Comment 3 James 2016-01-06 21:41:22 EST
*** Bug 1288791 has been marked as a duplicate of this bug. ***
Comment 4 James 2016-01-06 21:43:53 EST
I see similar behavior using DVI-D, except it remembers the layout.
Comment 5 James 2016-01-24 10:57:01 EST
This seems to have been fixed sometime in the last 2 weeks.
Comment 6 Marcel Ziswiler 2016-01-26 07:48:24 EST
Unfortunately I have not noticed any improvement lately. On the contrary it now even automatically enters suspend upon logging in, WAPOC!

https://bugzilla.redhat.com/show_bug.cgi?id=1301956
Comment 7 Marcel Ziswiler 2016-02-02 04:52 EST
Created attachment 1120366 [details]
Full journal still showing issue with latest 4.3.4-300.fc23.x86_64 kernel

Unfortunately I still see this with latest updates and 4.3.4-300.fc23.x86_64 kernel on my Lenovo ThinkPad T440s with an UltraDock and HDMI screen. Attached journal has been complemented with => remarks about whether or not a suspend was legit. This is really highly annoying especially as any application geometry and virtual desktop settings are completely lost due to this!
Comment 8 Fedora End Of Life 2016-11-24 08:01:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 10:17:46 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.